Name:      libdatrie
Version:   0.2.4
Release:   2%{?dist}
Summary:   Implementation of Double-Array Trie

Group:     System Environment/Libraries
License:   LGPLv2+
URL:       http://linux.thai.net/~thep/datrie/datrie.html
Source0:   ftp://linux.thai.net/pub/ThaiLinux/software/libthai/libdatrie-0.2.4.tar.gz
Patch0:    libdatrie-0.2.4-alphamapcpp.patch

BuildRequires: doxygen

%description
This is an implementation of double-array structure for representing trie.
Trie is a kind of digital search tree, an efficient indexing method with 
O(1) time complexity for searching. Comparably as efficient as hashing,
trie also provides flexibility on incremental matching and key spelling
manipulation. This makes it ideal for lexical analyzers, as well as spelling
dictionaries.

%prep
%setup -q
%patch0 -p1 -b .alphamapcpp

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_libdir}/libdatrie.la
rm -rf %{buildroot}%{_datadir}/doc/libdatrie

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS COPYING NEWS README
%{_libdir}/libdatrie.so.1*


%package  devel
Summary:  Development files for libdatrie
Group:    Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
%description devel
Headers, libraries and utilities for software developers, using libdatrie.
%files devel
%{_bindir}/trietool-0.2
%{_includedir}/datrie/
%{_libdir}/libdatrie.so
%{_libdir}/pkgconfig/datrie-0.2.pc


%package   doc
Summary:   Documentation files for libdatrie
Group:     Documentation
BuildArch: noarch
%description doc
Documentation files for libdatrie.
%files doc
%{_datadir}/doc/datrie/
%{_mandir}/man1/trietool-0.2.1.gz


%changelog
* Sun Sep 11 2011 Aurimas Cernius <aurisc4@gmail.com> 0.2.4-2
- Changed Summary for base package.
- Changed Group for base package.
- Changed Licence to valid specifier.
- Removed BuildRoot.
- Disabled static libraries.
- Removed unnecessairy files from install.
- Added NEWS file to install.
- Make devel subpackage depend on versioned base package.
- Changed Group for doc package.
- Removed Requires from doc package.
* Sun Aug 28 2011 Aurimas Cernius <aurisc4@gmail.com> 0.2.4-1
- Initial version.
